petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCMGSetNumberSmoothUp

Sets the number of post-smoothing steps to use on all levels. Use PCMGGetSmootherUp() to set different numbers of post-smoothing steps on different levels.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGSetNumberSmoothUp(PC pc,PetscInt n)

Logically Collective on PC Many br

### Input Parameters

| mg | - the multigrid context Many br
| n | - the number of smoothing steps Many br

### Options Database Key

-pc_mg_smoothup <n> -Sets number of post-smoothing steps Many br

Many br

Note: this does not set a value on the coarsest grid, since we assume that Many brthere is no separate smooth up on the coarsest grid. Many br

### Keywords

MG, smooth, up, post-smoothing, steps, multigrid

### See Also

PCMGSetNumberSmoothDown()

Level:advanced
Location:src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages